Package ru.bitel.bgbilling.modules.inet.common.service

# Interface InetDeviceService

All Superinterfaces:
  `DeviceService<InvDevice,InetDeviceType>`

public interface InetDeviceService extends DeviceService<InvDevice,InetDeviceType>

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `deviceManage(int invDeviceId, int inetDeviceId, String operation, int servId, int connectionId, long timeout)`
  `String`
  `deviceManage(int invDeviceId, String operation, int servId, int connectionId, long timeout)`
  `void`
  `deviceReload()`
  `void`
  `deviceReload(int rootDeviceId)`
  `void`
  `deviceSaReinit(int id)`
  `List<InetDevice>`
  `deviceSourceList()`
  `InetDevice`
  `deviceSourceRoot()`
  `List<InetServ>`
  `getContracts(int id)`
  `void`
  `inetDeviceDelete(int id)`
  Удаление устройства из дерева устройств (таблица inet_device_tree в БД).
  `InetDevice`
  `inetDeviceGet(int id)`
  `List<InetDevice>`
  `inetDeviceList(int deviceTypeId)`
  `void`
  `inetDeviceMove(int id, Set<Integer> cutSet)`
  `InetDevice`
  `inetDeviceRoot(DeviceTreeFilter deviceTreeFilter, boolean loadAncestors)`
  `org.json.JSONObject`
  `inetDeviceTree()`
  `int`
  `inetDeviceUpdate(InetDevice inetDevice, boolean updateInvDevice)`
  `boolean`
  `isUniqueInterface(int deviceTypeId)`
  `Set<Integer>`
  `svlanResourceCategoryIds(int deviceId)`

  ### Methods inherited from interface ru.bitel.oss.systems.inventory.resource.common.service.DeviceService

  `configParameterList, deviceConfigPreview, deviceDelete, deviceGet, deviceGroupDelete, deviceGroupGet, deviceGroupRoot, deviceGroupUpdate, deviceList, deviceManagerMethodList, deviceMove, deviceRoot, deviceTreeReorder, deviceTypeDelete, deviceTypeGet, deviceTypeList, deviceTypeTitleList, deviceTypeUpdate, deviceUpdate`

- ## Method Details

  - ### deviceReload

    @RequestWrapper(className="ru.bitel.bgbilling.modules.inet.common.service.jaxws.DeviceReloadOldRequest") @ResponseWrapper(className="ru.bitel.bgbilling.modules.inet.common.service.jaxws.DeviceReloadOldResponse") void deviceReload() throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### deviceReload

    void deviceReload(int rootDeviceId) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### deviceSaReinit

    void deviceSaReinit(int id) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### deviceManage

    @RequestWrapper(className="ru.bitel.bgbilling.modules.inet.common.service.jaxws.DeviceManageOldRequest") @ResponseWrapper(className="ru.bitel.bgbilling.modules.inet.common.service.jaxws.DeviceManageOldResponse") String deviceManage(int invDeviceId, String operation, int servId, int connectionId, long timeout) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### deviceManage

    String deviceManage(int invDeviceId, int inetDeviceId, String operation, int servId, int connectionId, long timeout) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getContracts

    List<InetServ> getContracts(int id) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### inetDeviceGet

    InetDevice inetDeviceGet(int id) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### deviceSourceList

    List<InetDevice> deviceSourceList() throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### deviceSourceRoot

    InetDevice deviceSourceRoot() throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### inetDeviceDelete

    void inetDeviceDelete(int id) throws ru.bitel.bgbilling.common.BGException
    Удаление устройства из дерева устройств (таблица inet_device_tree в БД).
    Parameters:
      `id` - код устройства в дереве устройств.
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### inetDeviceUpdate

    int inetDeviceUpdate(InetDevice inetDevice, boolean updateInvDevice) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### inetDeviceRoot

    InetDevice inetDeviceRoot(DeviceTreeFilter deviceTreeFilter, boolean loadAncestors) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### inetDeviceTree

    org.json.JSONObject inetDeviceTree() throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### inetDeviceMove

    void inetDeviceMove(int id, Set<Integer> cutSet) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### inetDeviceList

    List<InetDevice> inetDeviceList(int deviceTypeId) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### isUniqueInterface

    boolean isUniqueInterface(int deviceTypeId) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### svlanResourceCategoryIds

    Set<Integer> svlanResourceCategoryIds(int deviceId) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`